<?php
/**
 *
 * @category        modules
 * @package         advent
 * @author          Andreas Schmidt
 * @copyright       2012 Andreas Schmidt
 * @link            http://www.hillschmidt.de/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.2.2 and higher
 *
 */
/* -------------------------------------------------------- */
// Must include code to stop this file being accessed directly
if(!defined('WB_PATH')) {
        require_once(dirname(dirname(__FILE__)).'/framework/globalExceptionHandler.php');
        throw new IllegalFileException();
}
/* -------------------------------------------------------- */

// include core functions of WB 2.7 to edit the optional module CSS files (frontend.css, backend.css)
@include_once(WB_PATH .'/framework/module.functions.php');

// check if module language file exists for the language set by the user (e.g. DE, EN)
if(!file_exists(dirname(__FILE__) .'/languages/' .LANGUAGE .'.php')) {
// no module language file exists for the language set by the user, include default module language file EN.php
        require_once(dirname(__FILE__) .'/languages/EN.php');
} else {
// a module language file exists for the language defined by the user, load it
        require_once(dirname(__FILE__) .'/languages/' .LANGUAGE .'.php');
}

// check if backend.css file needs to be included into the <body></body> of modify.php
if(!method_exists($admin, 'register_backend_modfiles') && file_exists(dirname(__FILE__) .'/backend.css')) {
        echo '<style type="text/css">';
        include(dirname(__FILE__) .'/backend.css');
        echo "\n</style>\n";
}

$sMediaUrl = WB_URL.MEDIA_DIRECTORY;

// Get page content
echo "<h2>".$MOD_ADVENT['TXT_MOD_NAME']."</h2>";

// obtain data from module DB-table of the current displayed page (unique page defined via section_id)
$sql_result = $database->query("SELECT * FROM `" .TABLE_PREFIX ."mod_advent` WHERE `section_id` = '$section_id'");
// store all results (fields) in the array $sql_row
$sql_row = $sql_result->fetchRow();

// check if the DB-Field name contains a value, if not use Quiz Name as default value.
//if ($sql_row['title'] == '') {
//        $sql_row['title'] = 'Mein Adventskalender';
//} else {
// Note: before displaying a string in a text field, one needs to convert special characters into entities.
// Characters like " do not show up in text fields if not converted to entities.
// This also prevents that embedded Javascript/PHP/HTML tags are parsed by the browser.
//        $sql_row['title'] = htmlspecialchars($sql_row['title']);
//}
        // write out heading
//        echo "<h2>" .$MOD_QUIZ['TXT_HEADING_B'] ."&nbsp;<font class=\"mod_quiz_name_disp_b\">" .$sql_row['name']. "</font></h2>\n";
//echo $sql_row['title'];

// include the button to edit the optional module CSS files (function added with WB 2.7)
// Note: CSS styles for the button are defined in backend.css
//       (div class="mod_moduledirectory_edit_css")
// Place this call outside of any <form></form> construct!!!
if(function_exists('edit_module_css')) {
   edit_module_css('advent');
}
echo "<br /><br />\n";

// Loop to get the day entries
for ($i=1;$i<=24;$i++) {
$cname='cont'.$i;
$content=$sql_row[$cname];

//$sql = 'SELECT `'.$recname.'` FROM `'.TABLE_PREFIX.'mod_advent` WHERE `section_id`='.(int)$section_id;

//if ( ( $recname = $database->get_one($sql)) ) {
        $content = htmlspecialchars(str_replace('{SYSVAR:MEDIA_REL}', $sMediaUrl, $content));
//}else {
//        $recname = '';
//}

if(!isset($wysiwyg_editor_loaded)) {
        $wysiwyg_editor_loaded=true;

        if (!defined('WYSIWYG_EDITOR') OR WYSIWYG_EDITOR=="none" OR !file_exists(WB_PATH.'/modules/'.WYSIWYG_EDITOR.'/include.php')) {
                function show_wysiwyg_editor($name,$id,$content,$width,$height) {
                        echo '<textarea name="'.$name.'" id="'.$id.'" style="width: '.$width.'; height: '.$height.';">'.$content.'</textarea>';
                }
        } else {
                $id_list = array();
                $sql  = 'SELECT `section_id` FROM `'.TABLE_PREFIX.'sections` ';
                $sql .= 'WHERE `page_id`='.(int)$page_id.' AND `module`=\'advent\'';
                if (($query_wysiwyg = $database->query($sql))) {
                        while($wysiwyg_section = $query_wysiwyg->fetchRow()) {
                                $entry=$cname.$wysiwyg_section['section_id'];
                                $id_list[] = $entry;
                        }
                        require(WB_PATH.'/modules/'.WYSIWYG_EDITOR.'/include.php');
                }
        }
}
}

?>
<form name="wysiwyg<?php echo $section_id; ?>" action="<?php echo WB_URL; ?>/modules/advent/save.php" method="post">
        <input type="hidden" name="page_id" value="<?php echo $page_id; ?>" />
        <input type="hidden" name="section_id" value="<?php echo $section_id; ?>" />
<?php
// obtain data from module DB-table of the current displayed page (unique page defined via section_id)
$sql_result = $database->query("SELECT * FROM `" .TABLE_PREFIX ."mod_advent` WHERE `section_id` = '$section_id'");
// store all results (fields) in the array $sql_row
$sql_row = $sql_result->fetchRow();

// Title
$title=$sql_row['title'];
$title = htmlspecialchars(str_replace('{SYSVAR:MEDIA_REL}', $sMediaUrl, $title));
echo "<h3>".$MOD_ADVENT['TXT_TITLE']."</h3>";
echo $admin->getFTAN()."\n";
show_wysiwyg_editor('title'.$section_id,'title'.$section_id,$title,'75%','200');

// Schleife Start fr die 24 Eintrge
for ($i=1;$i<=24;$i++) {
$cname='cont'.$i;
$content=$sql_row[$cname];

echo "<h3>".$MOD_ADVENT['TXT_DAY']." ".$i."</h3>";
echo $admin->getFTAN()."\n";
$content = htmlspecialchars(str_replace('{SYSVAR:MEDIA_REL}', $sMediaUrl, $content));

show_wysiwyg_editor($cname.$section_id,$cname.$section_id,$content,'75%','300');

// Schleife Ende fr die 24 Eintrge
}

?>
         <table summary="" cellpadding="0" cellspacing="0" border="0" width="100%" style="padding-bottom: 10px;">
         <tr>
         <td align="left">
         <input type="submit" value="<?php echo $TEXT['SAVE']; ?>" style="width: 100px; margin-top: 5px;" />
         </td>
         <td align="right">
         <input type="button" value="<?php echo $TEXT['CANCEL']; ?>" onclick="javascript: window.location = 'index.php';" style="width: 100px; margin-top: 5px;" />
         </td>
         </tr>
         </table>
</form>
<br />