<?php
/**
 *
 * @category        modules
 * @package         advent
 * @author          Andreas Schmidt
 * @copyright       2012 Andreas Schmidt
 * @link            http://www.hillschmidt.de/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.2.2 and higher
 *
 */
/* -------------------------------------------------------- */
// Must include code to stop this file being accessed directly
if(!defined('WB_PATH')) {
        require_once(dirname(dirname(__FILE__)).'/framework/globalExceptionHandler.php');
        throw new IllegalFileException();
}
/* -------------------------------------------------------- */

// check if module language file exists for the language set by the user (e.g. DE, EN)
if(!file_exists(dirname(__FILE__) .'/languages/' .LANGUAGE .'.php')) {
 // no module language file exists for the language set by the user, include default module language file EN.php
 require_once(dirname(__FILE__) .'/languages/EN.php');
} else {
 // a module language file exists for the language defined by the user, load it
 require_once(dirname(__FILE__) .'/languages/' .LANGUAGE .'.php');
}

// check if frontend.css file needs to be included into the <body></body> of view.php
if((!function_exists('register_frontend_modfiles') || !defined('MOD_FRONTEND_CSS_REGISTERED')) &&
        file_exists(dirname(__FILE__) .'/frontend.css')) {
 echo '<style type="text/css">';
 include(dirname(__FILE__) .'/frontend.css');
 echo "\n</style>\n";
}

// obtain data from module DB-table of the current displayed page (unique page defined via section_id)
$sql_result = $database->query("SELECT * FROM `" .TABLE_PREFIX ."mod_advent` WHERE `section_id` = '$section_id'");
// store all results (fields) in the array $sql_row
$sql_row = $sql_result->fetchRow();

$sMediaUrl = WB_URL.MEDIA_DIRECTORY;
//$title = htmlspecialchars(strip_tags($sql_row['title']));
$title = $sql_row['title'];
$page=WB_URL.PAGES_DIRECTORY.$wb->page['link'].PAGE_EXTENSION;
$date = date('j');

// Rekursivaufruf
if (!empty($_GET)) {
         $wanted = $_GET["wanted"]; }
else {
         $wanted="";
}

echo "<div id=\"advent\" style=\"text-align=center;\">";

// Wanted Date is not Today
if ($wanted != "" && $wanted != $date) {
         echo $MOD_ADVENT['TXT_NOT_TODAY'];
         echo "<a href=\"".$page."\">".$MOD_ADVENT['TXT_AGAIN']."</a>";
         return;
}

// Call with a date wanted
if($wanted != "") {
         // Display Table
         $cname='cont'.$wanted;
         $content=$sql_row[$cname];
         $content = str_replace('{SYSVAR:MEDIA_REL}', $sMediaUrl, $content );
         ?>
         <table summary="" width="100%" border="0" cellpadding="1" cellspacing="1" class="advent_border">
         <tr>
         <th class="tab_th"><?php echo $title; ?></th>
         </tr>
         <tr>
         <td class="wisdom">
         <p>&nbsp;</p>
         <p><?php echo $MOD_ADVENT['TXT_HEADER_DAY']; ?></p>
         <p>&nbsp;<?php echo $content; ?></p>
         <p>&nbsp;</p>
         </td>
         </tr>
         <tr>
         <td class="tab_bottom"><?php echo $MOD_ADVENT['TXT_COPYRIGHT']; ?></td>
         </tr>
         </table>
<?php
}

// 1st Call with no date
if($wanted == "")
{
         $realday = date('j');
         $wantedurl = "$page"."?wanted="."$realday";
         // randomize calendar output
         srand((float)microtime() * 1000000);
         // initialize array
         $entries = array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24);
         // mix
         shuffle($entries);
?>
         <table width="100%" border="0" cellpadding="1" cellspacing="1" class="advent_border">
         <tr>
         <th class="tab_th"><?php echo $title; ?></th>
         </tr>
         <tr>
         <td class="day_select">
         <table border="0" cellspacing="2" cellpadding="2">
         <tr align="center" valign="middle">
<?php
         // show array
         $count=1;
         foreach($entries as $random_day){
                 if ($count < 7) {
                         echo "<td class=\"advent_button\">";
                         if($realday == $random_day)
                                 echo "<a href=\"$wantedurl\" target=\"_self\">$realday</a>";
                         else
                                 echo $random_day;
                         $count++;
                         echo "</td>";
                 }
                 else {
                         echo "</tr><tr align=\"center\" valign=\"middle\">";
                         echo "<td class=\"advent_button\">";
                         if($realday == $random_day)
                                 echo "<a href=\"$wantedurl\" target=\"_self\">$realday</a>";
                         else
                                 echo $random_day;
                         echo "</td>";
                         $count=2;
                 }
        }
?>
         </tr>
         </table>
         </td>
         </tr>
         <tr>
         <td class="tab_bottom"><?php echo $MOD_ADVENT['TXT_COPYRIGHT']; ?></td>
         </tr>
         </table>
<?php
}
echo "</div>";

/*
$content = '';
$sql = 'SELECT `content` FROM `'.TABLE_PREFIX.'mod_advent` WHERE `section_id`='.(int)$section_id;
if( ($content = $database->get_one($sql)) ) {
        $content = str_replace('{SYSVAR:MEDIA_REL}', $sMediaUrl, $content );
}
echo $content;
*/
?>